<?php
class tx_immoscout2ttnews_schedulerfields implements tx_scheduler_AdditionalFieldProvider {

	public function getAdditionalFields(array &$taskInfo, $task, tx_scheduler_Module $parentObject) {
		$additionalFields = array();

		// field "realestatetype"
		if(empty($taskInfo['realestatetype'])) {
			if($parentObject->CMD == 'edit') {
				$taskInfo['realestatetype'] = $task->realestatetype;
			}
		}
		// default value
		if(!$taskInfo['realestatetype']) {
			$taskInfo['realestatetype'] = 'apartmentrent,apartmentbuy,housebuy,houserent,livingbuysite,livingrentsite,office,store,industry,investment,gastronomy,specialpurpose,shorttermaccommodation,tradesite';
		}
		$additionalFields['task_realestatetype'] = array(
			'code' => '<input type="text" name="tx_scheduler[realestatetype]" id="task_realestatetype" value="' . $taskInfo['realestatetype'] . '" size="40" />',
			'label' => 'LLL:EXT:immoscout2ttnews/locallang.xml:scheduler.conf.realestatetype'
		);

		// field "geocodes"
		if(empty($taskInfo['geocodes'])) {
			if($parentObject->CMD == 'edit') {
				$taskInfo['geocodes'] = $task->geocodes;
			}
		}
		// default value
		if(!$taskInfo['geocodes']) {
			$taskInfo['geocodes'] = '1276,1250';
		}
		$additionalFields['task_geocodes'] = array(
			'code' => '<input type="text" name="tx_scheduler[geocodes]" id="task_geocodes" value="' . $taskInfo['geocodes'] . '" size="40" />',
			'label' => 'LLL:EXT:immoscout2ttnews/locallang.xml:scheduler.conf.geocodes'
		);

		// field "importTable"
		/*if(empty($taskInfo['importTable'])) {
			if($parentObject->CMD == 'edit') {
				$taskInfo['importTable'] = $task->importTable;
			}
		}
		// default value
		if(!$taskInfo['importTable']) {
			$taskInfo['importTable'] = 'tx_immoscout2db_realestade';
		}
		$additionalFields['task_importTable'] = array(
			'code' => '<input type="text" name="tx_scheduler[importTable]" id="task_importTable" value="' . $taskInfo['importTable'] . '" size="40" />',
			'label' => 'LLL:EXT:immoscout2ttnews/locallang.xml:scheduler.conf.importTable'
		);*/

		// field "importPid"
		if(empty($taskInfo['importPid'])) {
			if($parentObject->CMD == 'edit') {
				$taskInfo['importPid'] = $task->importPid;
			}
		}
		// default value
		if(!$taskInfo['importPid']) {
			$taskInfo['importPid'] = '0';
		}
		$additionalFields['task_importPid'] = array(
			'code' => '<input type="text" name="tx_scheduler[importPid]" id="task_importPid" value="' . $taskInfo['importPid'] . '" size="5" />',
			'label' => 'LLL:EXT:immoscout2ttnews/locallang.xml:scheduler.conf.importPid'
		);

		return $additionalFields;
	}

	public function validateAdditionalFields(array &$submittedData, tx_scheduler_Module $parentObject) {
		$submittedData['realestatetype'] = trim($submittedData['realestatetype']);
		$submittedData['geocodes'] = trim($submittedData['geocodes']);
		$submittedData['importPid'] = trim($submittedData['importPid']);
		#$submittedData['importTable'] = trim($submittedData['importTable']);
		return true;
	}

	public function saveAdditionalFields(array $submittedData, tx_scheduler_Task $task) {
		$task->realestatetype = $submittedData['realestatetype'];
		$task->geocodes = $submittedData['geocodes'];
		$task->importPid = $submittedData['importPid'];
		#$task->importTable = $submittedData['importTable'];
	}
}